POST
/public/v2/foreman-message
curl \
--request POST 'https://live.smartpmtech.com/public/v2/foreman-message' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"foremanMessage": {
"message": "string",
"actor": "USER"
},
"agentType": "FULL",
"subject": "string",
"scenarioId": 42,
"modelId": 42,
"projectId": 42,
"chatSessionId": "string",
"archived": true
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"foremanMessage": {
"message": "string",
"actor": "USER"
},
"agentType": "FULL",
"subject": "string",
"scenarioId": 42,
"modelId": 42,
"projectId": 42,
"chatSessionId": "string",
"archived": true
}
Response examples (200)
{
"actor": "USER",
"message": "string",
"id": 42,
"timeStamp": "2026-05-04T09:42:00Z",
"traceId": "string"
}